Scheduler Zero
REST APIAPI referenceCampaigns

Send a test email for a campaign

Sends a rendered preview to `testEmail` using `contactId`'s data. Requires the `campaign:update` permission.

POST
/campaigns/{id}/test

Sends a rendered preview to testEmail using contactId's data. Requires the campaign:update permission.

Authorization

ApiKeyAuth
x-api-key<token>

API key created under Settings → API Keys. Scoped to a single workspace.

In: header

Path Parameters

id*string
Formatuuid

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X POST "https://example.com/campaigns/497f6eca-6276-4993-bfeb-53cbbbba6f08/test" \  -H "Content-Type: application/json" \  -d '{    "contactId": "b5ec5d98-4bee-4da1-ad24-dde86346cb1d",    "testEmail": "user@example.com"  }'
Empty